Creates a new identity document.
Required. The identity document to create.
(IDENTIFIER) The resource name of the document. Format: documents/{document} string.resource_name = ["documents/*"] // value must be a valid resource name
(OPTIONAL) Optional. The entity this document belongs to. Format: entities/{entity} string.resource_name = ["entities/*"] // value must be a valid resource name
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/documents
- BNDRY APIhttps://api.bndry.app/v1alpha/documents
curl -i -X POST \
https://docs.bndry.net/_mock/apis/openapi/v1alpha/documents \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"auMedicareCard": {
"cardNumber": "string",
"individualReferenceNumber": 1,
"birthDate": {
"year": 0,
"month": 0,
"day": 0
},
"cardExpiry": {
"year": 0,
"month": 0,
"day": 0
},
"cardType": "CARD_TYPE_UNSPECIFIED",
"fullName1": "string",
"fullName2": "string",
"fullName3": "string",
"fullName4": "string",
"expiryDate": {
"year": 0,
"month": 0,
"day": 0
}
},
"name": "string",
"type": "DOCUMENT_TYPE_UNSPECIFIED",
"entity": "string"
}'Success
(IDENTIFIER) The resource name of the document. Format: documents/{document} string.resource_name = ["documents/*"] // value must be a valid resource name
(OPTIONAL) Optional. The entity this document belongs to. Format: entities/{entity} string.resource_name = ["entities/*"] // value must be a valid resource name
Output only. The timestamp when the document was created.
Output only. The timestamp when the document was most recently updated.
Output only. The timestamp when the document was deleted. See AIP-164.
{ "name": "string", "type": "DOCUMENT_TYPE_UNSPECIFIED", "entity": "string", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "auMedicareCard": { "cardNumber": "string", "individualReferenceNumber": 1, "birthDate": { … }, "cardExpiry": { … }, "cardType": "CARD_TYPE_UNSPECIFIED", "fullName1": "string", "fullName2": "string", "fullName3": "string", "fullName4": "string", "expiryDate": { … } } }